package cn.ecpark.service.usergw.biz.filters.bean;

import java.util.HashMap;

import org.apache.dubbo.rpc.service.GenericService;

import lombok.extern.slf4j.Slf4j;

/**
 * GenericServicePool
 */
public class GenericServicePool {

    HashMap<String, GenericService> gsDictionary;

    public GenericServicePool() {
        gsDictionary = new HashMap<String, GenericService>();
    }

    public GenericService get(String key) {
        return gsDictionary.get(key);
    }

    public void put(String key, GenericService genericService) {
        gsDictionary.put(key, genericService);
    }

    // public boolean contains(String key) {
    //     return gsDictionary.containsKey(key);
    // }
}