package cn.ecpark.service.usergw.config.bean;

import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import cn.ecpark.service.usergw.biz.filters.bean.GenericServicePool;
import cn.ecpark.service.usergw.biz.filters.factory.DubboGatewayFilterFactory;

@Component
public class ConfigBean {
    @Bean
    public GenericServicePool genericServicePool() {
        return new GenericServicePool();
    }

    @Bean
    public DubboGatewayFilterFactory dubboFilterFactory() {
        return new DubboGatewayFilterFactory();
    }
}